[package]
name = "pyperscan"
authors.workspace = true
version.workspace = true
edition.workspace = true
rust-version.workspace = true
license.workspace = true

[lib]
name = "pyperscan"
crate-type = ["cdylib"]

[dependencies]
bitflags = "1.3.2"
foreign-types = "0.5.0"
pyo3 = { version = "0.18.1", features = ["extension-module", "abi3-py38"] }
thiserror = "1.0.37"
hyperscan-sys = { path = "./hyperscan-sys" }
libc = "0.2.142"

[features]
hyperscan = ["hyperscan-sys/hyperscan"]
vectorscan = ["hyperscan-sys/vectorscan"]

[workspace]
resolver = "2"
members = [".", "hyperscan-sys"]

[workspace.package]
version = "0.3.0"
authors = ["László Vaskó <1771332+vlaci@users.noreply.github.com>"]
license = "MIT OR Apache-2.0"
edition = "2021"
rust-version = "1.64"
